org.apache.fop.util.text

## Class LocatorFormatter

- java.lang.Object
- - org.apache.fop.util.text.LocatorFormatter

- All Implemented Interfaces:
    AdvancedMessageFormat.ObjectFormatter

      public class LocatorFormatter
      extends java.lang.Object
      implements AdvancedMessageFormat.ObjectFormatter

  Object formatter for the SAX Locator object.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocatorFormatter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `format(java.lang.StringBuffer sb, java.lang.Object obj)` Formats an object to a string and writes the result to a string buffer.
    `boolean` | `supportsObject(java.lang.Object obj)` Indicates whether a given object is supported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocatorFormatter

          public LocatorFormatter()

  - ### Method Detail

    - #### format

          public void format(java.lang.StringBuffer sb,
                             java.lang.Object obj)

      Formats an object to a string and writes the result to a string buffer.
      Specified by:
        `format` in interface `AdvancedMessageFormat.ObjectFormatter`
      Parameters:
        `sb` - the target string buffer
        `obj` - the object to be formatted

    - #### supportsObject

          public boolean supportsObject(java.lang.Object obj)

      Indicates whether a given object is supported.
      Specified by:
        `supportsObject` in interface `AdvancedMessageFormat.ObjectFormatter`
      Parameters:
        `obj` - the object
      Returns:
        true if the object is supported by the formatter

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.